/*
 * @Author: WuXiangNan
 * @Date: 2021-05-27 14:19:34
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-06-15 16:46:05
 * @Description: 收费数据（折线图）
 */

import 'offset.dart';

class BillDataLineChart {
  List<Offset>? incomeAmountLine;
  List<Offset>? incomeOnlineAmountLine;

  BillDataLineChart({
    this.incomeAmountLine,
    this.incomeOnlineAmountLine
  });

  BillDataLineChart.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});
    incomeAmountLine = List<Offset>.from((map['incomeAmountLine'] ?? []).map((x) => Offset.fromJson(x)));
    incomeOnlineAmountLine = List<Offset>.from((map['incomeOnlineAmountLine'] ?? []).map((x) => Offset.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();
    json['incomeAmountLine'] = List<Offset>.from(this.incomeAmountLine?? []).map((x) => x.toJson());
    json['incomeOnlineAmountLine'] = List<Offset>.from(this.incomeOnlineAmountLine?? []).map((x) => x.toJson());

    return json;
  }
}